@echo off
if "%1"=="" (set TEST=??) else (set TEST=%1)
set TASK=hollow
pushd ..
call cs %TASK%_ps_1.cpp
call cs %TASK%_ps_2.cpp
call cs %TASK%_ps_3.cpp
call cs %TASK%_ps_4.cpp
call cs %TASK%_ps_5.cpp
call cs %TASK%_ps_6.cpp
popd
for %%i in (%TEST%) do (
echo Test %%i:
pushd ..
copy tests\%%i %TASK%.in >nul
%TASK%_ps_1
copy %TASK%.out tests\%%i.b >nul
%TASK%_ps_2
copy %TASK%.out tests\%%i.c >nul
%TASK%_ps_3
copy %TASK%.out tests\%%i.d >nul
%TASK%_ps_4
copy %TASK%.out tests\%%i.e >nul
%TASK%_ps_5
copy %TASK%.out tests\%%i.f >nul
%TASK%_ps_6
copy %TASK%.out tests\%%i.g >nul
popd
check %%i %%i.b %%i.a
check %%i %%i.c %%i.a
check %%i %%i.d %%i.a
check %%i %%i.e %%i.a
check %%i %%i.f %%i.a
check %%i %%i.g %%i.a
)
